Subject: [Teas] I-D Action: draft-ietf-teas-ietf-network-slice-definition-01.txt

From: [email-masked]
Date: Mon, 22 Feb 2021 08:21:57 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Traffic Engineering Architecture and Signaling WG of the IETF.

        Title           : Definition of IETF Network Slices
        Authors         : Reza Rokui
                          Shunsuke Homma
                          Kiran Makhijani
                          Luis M. Contreras
                          Jeff Tantsura
	Filename        : draft-ietf-teas-ietf-network-slice-definition-01.txt
	Pages           : 17
	Date            : 2021-02-22

Abstract:
   This document provides a definition of the term "IETF Network Slice"
   for use within the IETF and specifically as a reference for other
   IETF documents that describe or use aspects of network slices.

   The document also describes the characteristics of an IETF network
   slice, related terms and their meanings, and explains how IETF
   network slices can be used in combination with end-to-end network
   slices or independent of them.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-teas-ietf-network-slice-definition/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-teas-ietf-network-slice-definition-01
https://datatracker.ietf.org/doc/html/draft-ietf-teas-ietf-network-slice-definition-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-teas-ietf-network-slice-definition-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Joel M. Halpern" <[email-masked]>
Date: Mon, 22 Feb 2021 12:31:23 -0500

The effort to address the discussion about the term "endpoint" seems to 
have made things worse, not better.  I would have expected the changes 
to be deferred until we had WG rough consensus on what the changes 
should look like.

Yours,
Joel

On 2/22/2021 11:21 AM, [email-masked] wrote:
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: Kiran Makhijani <[email-masked]>
Date: Mon, 22 Feb 2021 17:43:27 +0000

Very fair point,
We had finished revising the text late Friday and rushed to post due to the submission deadline. It did not occur to first post it on the list ( we should have).
Regardless, please let us know your concerns.

Cheers,
Kiran

From: Teas <[email-masked]> on behalf of Joel M. Halpern <[email-masked]>
Date: Monday, February 22, 2021 at 09:31
To: [email-masked] <[email-masked]>
Subject: Re: [Teas] I-D Action: draft-ietf-teas-ietf-network-slice-definition-01.txt
The effort to address the discussion about the term "endpoint" seems to
have made things worse, not better.  I would have expected the changes
to be deferred until we had WG rough consensus on what the changes
should look like.

Yours,
Joel

On 2/22/2021 11:21 AM, [email-masked] wrote:
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-teas-ietf-network-slice-definition%2F&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=or77wfTDXWlxuu1BpFQ57kWYsDWnzO8iHYJi28d7TRs%3D&amp;reserved=0
>
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-teas-ietf-network-slice-definition-01&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=Pg51UqXWmM2r3Pk5wduC2ZZeUmWVOTEh0O2dOBXZvCU%3D&amp;reserved=0
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-teas-ietf-network-slice-definition-01&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=ZHwGbEFZieuTEGiSEhiLWPMTzifAlD2laOkY1K8yXfY%3D&amp;reserved=0
>
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-teas-ietf-network-slice-definition-01&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=YC5q2FkFdDYnah56JR1P2WDxdd7%2FmrIbNwwIkGGFMFk%3D&amp;reserved=0
>
>
> https://nam11.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org%2Finternet-drafts%2F&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=j5yvOR3EYPwVkzW3lo0%2BA682cY%2BKbskpfAsK%2FLmzfyU%3D&amp;reserved=0
>
>
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fi-d-announce&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=iMPmguoE4ec4hnO4ytAlqrLm1g81h74oR6G%2BpLyck6g%3D&amp;reserved=0
> Internet-Draft directories: https://nam11.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.ietf.org%2Fshadow.html&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963065757%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=QBwyDZp1WjjdZskjx0xc7q03odfRlW8%2BhtnXQIDsaG8%3D&amp;reserved=0
> or https://nam11.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org%2Fietf%2F1shadow-sites.txt&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963065757%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=dxaIH5Xc0f3QxLWuJcb4TE7WCuQb6I8AnWuxGifxR8g%3D&amp;reserved=0
>

_______________________________________________
Teas mailing list
[email-masked]
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fteas&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963065757%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=BdXdg%2FRN%2BWoSqPImCR03S%2BeapNj7y608Umo2th%2Ffvuw%3D&amp;reserved=0

---

From: "Joel M. Halpern" <[email-masked]>
Date: Mon, 22 Feb 2021 12:54:56 -0500

The conflating of the external entity (what the diagram calls endpoint) 
with the ingress / egress is simply confusing and does not match the 
usage the IETF generally uses for those terms.

There are other aspects of this as well, but getting agreement on what 
we want to name, and what their names are, in ways that are consistent 
with general IETF usage, will make it simpler to discuss the other issues.

Yours,
Joel

On 2/22/2021 12:43 PM, Kiran Makhijani wrote:
> Very fair point,
> 
> We had finished revising the text late Friday and rushed to post due to 
> the submission deadline. It did not occur to first post it on the list ( 
> we should have).
> 
> *From: *Teas <[email-masked]> on behalf of Joel M. Halpern 
> <[email-masked]>
> *Date: *Monday, February 22, 2021 at 09:31
> *To: [email-masked] <[email-masked]>
> *Subject: *Re: [Teas] I-D Action: 
> draft-ietf-teas-ietf-network-slice-definition-01.txt
> 
>  >        Filename        : 
> draft-ietf-teas-ietf-network-slice-definition-01.txt
>  >        Pages           : 17
>  >        Date            : 2021-02-22
>  >
>  > Abstract:
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-teas-ietf-network-slice-definition%2F&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=or77wfTDXWlxuu1BpFQ57kWYsDWnzO8iHYJi28d7TRs%3D&amp;reserved=0>
>  >
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-teas-ietf-network-slice-definition-01&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=Pg51UqXWmM2r3Pk5wduC2ZZeUmWVOTEh0O2dOBXZvCU%3D&amp;reserved=0>
>  > 
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-teas-ietf-network-slice-definition-01&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=ZHwGbEFZieuTEGiSEhiLWPMTzifAlD2laOkY1K8yXfY%3D&amp;reserved=0>
>  >
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-teas-ietf-network-slice-definition-01&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=YC5q2FkFdDYnah56JR1P2WDxdd7%2FmrIbNwwIkGGFMFk%3D&amp;reserved=0>
>  >
>  >
> <https://nam11.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org%2Finternet-drafts%2F&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=j5yvOR3EYPwVkzW3lo0%2BA682cY%2BKbskpfAsK%2FLmzfyU%3D&amp;reserved=0>
>  >
>  >
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fi-d-announce&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=iMPmguoE4ec4hnO4ytAlqrLm1g81h74oR6G%2BpLyck6g%3D&amp;reserved=0>
>  > Internet-Draft directories: 
> https://nam11.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.ietf.org%2Fshadow.html&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963065757%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=QBwyDZp1WjjdZskjx0xc7q03odfRlW8%2BhtnXQIDsaG8%3D&amp;reserved=0 
> <https://nam11.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.ietf.org%2Fshadow.html&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963065757%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=QBwyDZp1WjjdZskjx0xc7q03odfRlW8%2BhtnXQIDsaG8%3D&amp;reserved=0>
>  > or 
> https://nam11.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org%2Fietf%2F1shadow-sites.txt&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963065757%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=dxaIH5Xc0f3QxLWuJcb4TE7WCuQb6I8AnWuxGifxR8g%3D&amp;reserved=0 
> <https://nam11.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org%2Fietf%2F1shadow-sites.txt&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963065757%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=dxaIH5Xc0f3QxLWuJcb4TE7WCuQb6I8AnWuxGifxR8g%3D&amp;reserved=0>
>  >
> 
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fteas&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496118963065757%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=BdXdg%2FRN%2BWoSqPImCR03S%2BeapNj7y608Umo2th%2Ffvuw%3D&amp;reserved=0>
>

---

From: "Rokui, Reza (Nokia - CA/Ottawa)" <[email-masked]>
Date: Mon, 22 Feb 2021 18:04:34 +0000

Joel,

Please be specific on your concerns. Note that since IETF network slice endpoints are technology-agnostics, the current definition draft just defines them. We on purpose did not go through any aspects of IETF network slice realization.

The mapping between IETF technology-specific and NSE (as per Adrian see Figure 2. of RFC3985) is given in following draft  (see section 6.3 IETF Network Slice Endpoint (NSE)):

https://www.ietf.org/archive/id/draft-wd-teas-ietf-network-slice-nbi-yang-02.txt

Reza

----------------------------------------------------------

On 2021-02-22, 12:54 PM, "Teas on behalf of Joel M. Halpern" <[email-masked] on behalf of [email-masked]> wrote:

    Yours,
    Joel

    _______________________________________________
    Teas mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/teas

---

From: Joel Halpern Direct <[email-masked]>
Date: Mon, 22 Feb 2021 13:07:55 -0500

We are in the middle of an ongoing discussion (on the WG email list) 
about what things need names and what they should be named.  The 
document authors decided instead to add elaboration on the term 
endpoint, including claiming that the external endpoints are the ingress 
/ egress.

It is probably not worth insisting that the changes be rolled back.  But 
I do not consider the discussion resolved, nor do I consider that the 
wording in the document has WG agreement.

Personally, I would focus on the actual edge of the IETF Network Slice, 
and focus on naming those points.  ingress / egress or PE seem viable 
terms.  Then we could discuss whether the IETF Network Slice (or its 
controller) cares about the external edges, and if so to what degree it 
cares.

Yours,
Joel

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 22 Feb 2021 19:52:51 -0000

Sadly I agree with Joel here that while it is not uncommon for document editors to advance a document and then seek comments, where there is an active discussion that has shown some degree of dispute, it is usually better to suggest the changes and try to discuss them to (near) completion via email.

Now, to the point.

I find Figure 1 particularly unhelpful. It shows that endpoints are, erm, at the ends. But it doesn't show what they are or how they relate to other things. Would it help if you made the network slice rectangle more of a square?

I don't find "definition by example" (bullet 2) to be helpful. I think you would do better to state what function the end point has in relation to the slice and the consumer, and leave it at that.

>   o  An NSE should be identified by a unique ID in the context of an
>      IETF network slice consumer.
>
>   o  In addition to an identifier, each NSE should contain a subset of
>      attributes such as IPv4/IPv6 addresses, encapsulation type (i.e.,
>      VLAN tag, MPLS Label etc.), interface/port numbers, node ID etc.
These are almost certainly solution issues not for discussion in this document.

>   o  A combination of NSE unique ID and NSE attributes defines an NSE
>      in the context of the IETF network slice controller.
Well, no! You just said the NSE ID is in the context of the consumer not the controller.

Anyway, I remain of the opinion that the term "endpoint" is not helpful. This attempt to define it seems (to me) to confirm my opinion.

Cheers,
Adrian

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Joel Halpern Direct
Sent: 22 February 2021 18:08
To: Rokui, Reza (Nokia - CA/Ottawa) <[email-masked]>; Kiran Makhijani <[email-masked]>; [email-masked]
Subject: Re: [Teas] I-D Action: draft-ietf-teas-ietf-network-slice-definition-01.txt

Yours,
Joel

---

From: <[email-masked]>
Date: Tue, 23 Feb 2021 08:14:24 +0000

Hi all, 

I also echo the concerns raised by Joel, modulo that I think that not only the PE view should be visible, but also the CE and the CE-PE circuit.

Cheers,
Med

> -----Message d'origine-----
> De : Teas [mailto:[email-masked]] De la part de Joel Halpern
> Direct
> Envoyé : lundi 22 février 2021 19:08
> À : Rokui, Reza (Nokia - CA/Ottawa) <[email-masked]>; Kiran
> Makhijani <[email-masked]>; [email-masked]
> Objet : Re: [Teas] I-D Action: draft-ietf-teas-ietf-network-slice-
> definition-01.txt
> 
> endpoint, including claiming that the external endpoints are the
> ingress / egress.
> 
> It is probably not worth insisting that the changes be rolled back.
> But I do not consider the discussion resolved, nor do I consider that
> the wording in the document has WG agreement.
> 
> Personally, I would focus on the actual edge of the IETF Network
> Slice, and focus on naming those points.  ingress / egress or PE seem
> viable terms.  Then we could discuss whether the IETF Network Slice
> (or its
> controller) cares about the external edges, and if so to what degree
> it cares.
> 
> Yours,
> Joel
> 
> > Please be specific on your concerns. Note that since IETF network
> slice endpoints are technology-agnostics, the current definition
> draft just defines them. We on purpose did not go through any aspects
> of IETF network slice realization.
> >
> > The mapping between IETF technology-specific and NSE (as per Adrian
> see Figure 2. of RFC3985) is given in following draft  (see section
> 6.3 IETF Network Slice Endpoint (NSE)):
> >
> > https://www.ietf.org/archive/id/draft-wd-teas-ietf-network-slice-
> nbi-y
> > ang-02.txt
> >
> > Reza
> >
> > On 2021-02-22, 12:54 PM, "Teas on behalf of Joel M. Halpern" <teas-
> [email-masked] on behalf of [email-masked]> wrote:
> >
> >      >  > A New Internet-Draft is available from the on-line
> Internet-Drafts
> >      > directories.
> >      >  > This draft is a work item of the Traffic Engineering
> Architecture and
> >      > Signaling WG of the IETF.
> >      >  >
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdat
> atracker.ietf.org%2Fdoc%2Fdraft-ietf-teas-ietf-network-slice-
> definition%2F&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f
> 14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C63
> 7496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoi
> V2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=or77wfTDXWlxu
> u1BpFQ57kWYsDWnzO8iHYJi28d7TRs%3D&amp;reserved=0
> >      >
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fda
> tatracker.ietf.org%2Fdoc%2Fdraft-ietf-teas-ietf-network-slice-
> definition%2F&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f
> 14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C63
> 7496118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoi
> V2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=or77wfTDXWlxu
> u1BpFQ57kWYsDWnzO8iHYJi28d7TRs%3D&amp;reserved=0>
> >      >  >
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftoo
> ls.ietf.org%2Fhtml%2Fdraft-ietf-teas-ietf-network-slice-definition-
> 01&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108
> d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6374961189630
> 55764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJ
> BTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=Pg51UqXWmM2r3Pk5wduC2ZZe
> UmWVOTEh0O2dOBXZvCU%3D&amp;reserved=0
> >      >
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fto
> ols.ietf.org%2Fhtml%2Fdraft-ietf-teas-ietf-network-slice-definition-
> 01&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108
> d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6374961189630
> 55764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJ
> BTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=Pg51UqXWmM2r3Pk5wduC2ZZe
> UmWVOTEh0O2dOBXZvCU%3D&amp;reserved=0>
> >      >  >
> >      >
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdat
> atracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-teas-ietf-network-slice-
> definition-
> 01&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108
> d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6374961189630
> 55764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJ
> BTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=ZHwGbEFZieuTEGiSEhiLWPMT
> zifAlD2laOkY1K8yXfY%3D&amp;reserved=0
> >      >
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fda
> tatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-teas-ietf-network-slice-
> definition-
> 01&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108
> d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6374961189630
> 55764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJ
> BTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=ZHwGbEFZieuTEGiSEhiLWPMT
> zifAlD2laOkY1K8yXfY%3D&amp;reserved=0>
> >      >  >
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> .ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-teas-ietf-network-slice-
> definition-
> 01&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108
> d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6374961189630
> 55764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJ
> BTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=YC5q2FkFdDYnah56JR1P2WDx
> dd7%2FmrIbNwwIkGGFMFk%3D&amp;reserved=0
> >      >
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fww
> w.ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-teas-ietf-network-slice-
> definition-
> 01&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820d67108
> d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6374961189630
> 55764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJ
> BTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=YC5q2FkFdDYnah56JR1P2WDx
> dd7%2FmrIbNwwIkGGFMFk%3D&amp;reserved=0>
> >      >  >
> >      >  >
> >      >  > Please note that it may take a couple of minutes from the
> time of
> >      > submission
> https://nam11.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.i
> etf.org%2Finternet-
> drafts%2F&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f1482
> 0d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496
> 118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2lu
> MzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=j5yvOR3EYPwVkzW3l
> o0%2BA682cY%2BKbskpfAsK%2FLmzfyU%3D&amp;reserved=0
> >      >
> <https://nam11.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.
> ietf.org%2Finternet-
> drafts%2F&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f1482
> 0d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496
> 118963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2lu
> MzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=j5yvOR3EYPwVkzW3l
> o0%2BA682cY%2BKbskpfAsK%2FLmzfyU%3D&amp;reserved=0>
> >      >  >
> >      >  >
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> .ietf.org%2Fmailman%2Flistinfo%2Fi-d-
> announce&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820
> d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6374961
> 18963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luM
> zIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=iMPmguoE4ec4hnO4yt
> AlqrLm1g81h74oR6G%2BpLyck6g%3D&amp;reserved=0
> >      >
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fww
> w.ietf.org%2Fmailman%2Flistinfo%2Fi-d-
> announce&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f14820
> d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6374961
> 18963055764%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luM
> zIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=iMPmguoE4ec4hnO4yt
> AlqrLm1g81h74oR6G%2BpLyck6g%3D&amp;reserved=0>
> https://nam11.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.
> ietf.org%2Fshadow.html&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cac
> bdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1
> %7C0%7C637496118963065757%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDA
> iLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=QBwy
> DZp1WjjdZskjx0xc7q03odfRlW8%2BhtnXQIDsaG8%3D&amp;reserved=0
> >      >
> <https://nam11.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww
> .ietf.org%2Fshadow.html&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Ca
> cbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C
> 1%7C0%7C637496118963065757%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMD
> AiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=QBw
> yDZp1WjjdZskjx0xc7q03odfRlW8%2BhtnXQIDsaG8%3D&amp;reserved=0>
> >      >  > or
> >      >
> https://nam11.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.i
> etf.org%2Fietf%2F1shadow-
> sites.txt&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f1482
> 0d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496
> 118963065757%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2lu
> MzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=dxaIH5Xc0f3QxLWuJ
> cb4TE7WCuQb6I8AnWuxGifxR8g%3D&amp;reserved=0
> >      >
> <https://nam11.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.
> ietf.org%2Fietf%2F1shadow-
> sites.txt&amp;data=04%7C01%7Ckiranm%40futurewei.com%7Cacbdb7f467f1482
> 0d67108d8d757b1f3%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637496
> 118963065757%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2lu
> MzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=dxaIH5Xc0f3QxLWuJ
> cb4TE7WCuQb6I8AnWuxGifxR8g%3D&amp;reserved=0>
> >      >  >
> >      >
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> .ietf.org%2Fmailman%2Flistinfo%2Fteas&amp;data=04%7C01%7Ckiranm%40fut
> urewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c753
> a1d5591fedc%7C1%7C0%7C637496118963065757%7CUnknown%7CTWFpbGZsb3d8eyJW
> IjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000
> &amp;sdata=BdXdg%2FRN%2BWoSqPImCR03S%2BeapNj7y608Umo2th%2Ffvuw%3D&amp
> ;reserved=0
> >      >
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fww
> w.ietf.org%2Fmailman%2Flistinfo%2Fteas&amp;data=04%7C01%7Ckiranm%40fu
> turewei.com%7Cacbdb7f467f14820d67108d8d757b1f3%7C0fee8ff2a3b240189c75
> 3a1d5591fedc%7C1%7C0%7C637496118963065757%7CUnknown%7CTWFpbGZsb3d8eyJ
> WIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C100
> 0&amp;sdata=BdXdg%2FRN%2BWoSqPImCR03S%2BeapNj7y608Umo2th%2Ffvuw%3D&am
> p;reserved=0>
> >      >
> >

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.